Bug 441902 - next unemulated xenner instruction with pvops kernel
next unemulated xenner instruction with pvops kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xenner (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gerd Hoffmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 13:57 EDT by Jeremy Katz
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 09:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-04-10 13:57:21 EDT
Continuing on my quest to do an install of pvops rawhide using xenner, the next
unemulated instruction I get looks to be loopnz

[emu/0] <1>evtchn_route_interdomain: irq vector 53 = event channel 8 (no desc)
[emu/0] <1>grant_table_op: query_size
[emu/0] <1>grant_table_op: setup_table 2
[emu/0] <1>evtchn_route_interdomain: irq vector 54 = event channel 9 (no desc)
[emu/0] <0>instr emu failed: rip e03cab4b bytes 0f 11 00 0f  11 48 10 0f
[emu/0] <0>printing registers
[emu/0] <0>  code   cs:rip 0061:e03cab4b
[emu/0] <0>  stack  ss:rsp 0069:d610fdf0
[emu/0] <0>  rax d610fe04 rbx 00000010 rcx d6127000 rdx d6124000
[emu/0] <0>  rsi d6124000 rdi 8005003b rsp d610fdf0 rbp d610fe50
[emu/0] <0>  cs 0061 ds 007b es 007b fs 00d8 gs 0033 ss 0069
[emu/0] <0>  cr0 80050033 cr2 b8aaa310 cr3 16902000 cr4 000000b0 rflags 00010202
[emu/0] <0>  cr0: PE MP ET NE WP AM PG
[emu/0] <0>  cr4: PSE PAE PGE
[emu/0] <0>  rflags: ??? IF RF
[emu/0] <0>panic: instruction emulation failed

==================== emu: panic() ====================
--- registers (vcpu 0)---
rax 0000000000000028 rbx 0000000000000010 rcx 0000000000000025 rdx 00000000ff03de38
rsi 00000000d6124000 rdi 000000008005003b rsp 00000000ff03df3c rbp 00000000ff03df3c
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 00000000ff0029a4 rflags 00000006
cs e008 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type b l 0 g 1 avl 0)
ds 007b (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
es 007b (00000000/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 0)
ss e010 (00000000/ffffffff p 1 dpl 0 db 1 s 1 type 3 l 0 g 1 avl 0)
fs 00d8 (017ee000/ffffffff p 1 dpl 1 db 0 s 1 type 3 l 0 g 1 avl 0)
gs 0033 (b80ec6c0/ffffffff p 1 dpl 3 db 1 s 1 type 3 l 0 g 1 avl 1)
tr e040 (ff02c000/00000067 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (ffff0000/f0000fff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt ff02d000/ffff
idt ff011000/7ff
cr0 80050033 cr2 b8aaa310 cr3 16902000 cr4 b0 cr8 0 efer 0
--- msrs (nonzero) ---
msr 00000010 = 00000014004098d6 (IA32_TSC)
msr 00000014 = 00000014004098d6 (UNKNOWN)
xenner_cleanup: ----- statistics -----
hypercalls             :    total     diff
  set_trap_table       :        1        0
  mmu_update           :     8187        0
  set_gdt              :        2        0
  stack_switch         :     9453        0
  set_callbacks        :        1        0
  sched_op_compat      :      341        0
  set_debugreg         :        6        0
  update_descriptor    :    32805        0
  multicall            :    34058        0
  update_va_mapping    :    75883        0
  xen_version          :    27281        0
  grant_table_op       :        6        0
  vm_assist            :        3        0
  iret                 :   197758        0
  vcpu_op              :    16232        0
  mmuext_op            :    23060        0
  event_channel_op     :    68875        0
  physdev_op           :        1        0
emu faults             :    total     diff
  illegal instruction  :       29        0
  general protection   :    65581        0
    gpf  emu instr     :    65581        0
  page fault           :    68682        0
    pf  guest          :    67817        0
    pf  fixup readonly :       14        0
    pf  fixup extable  :      851        0
    uva fixup readonly :     5212        0
  event callback       :    36354        0
  lazy fpu             :        1        0
  pagemap mapit        :     2469        0
  pagemap reuse        :    43535        0
  cr3 load             :     2504        0
  event channel 1      :      282        0
  event channel 2      :       41        0
  event channel 3      :    15797        0
  event channel 6      :     7039        0
  event channel 7      :       30        0
  event channel 8      :        2        0
  event channel 9      :    25147        0
xenner_cleanup: ----- cleaning up -----
Comment 1 Gerd Hoffmann 2008-04-11 03:43:24 EDT
No, it is an mmx instruction, cr4 setup needs a small fix.
Comment 2 Gerd Hoffmann 2008-04-11 03:51:15 EDT
https://koji.fedoraproject.org/koji/taskinfo?taskID=562010
please test
Comment 3 Jeremy Katz 2008-04-11 09:46:43 EDT
I'm over halfway through package installation.  Probably worth building for
dist-f9 and sending mail to rel-eng@fedoraproject.org asking for it to be tagged

Note You need to log in before you can comment on or make changes to this bug.